- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists the commission groups for a given contract.
HTTP request
GET https://merchantapi.googleapis.com/youtube/v1alpha/{parent=accounts/*/contracts/*}/commissionGroups
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The contract to list commission groups for. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of commission groups to return. The service may return fewer than this value. If unspecified, at most 100 commission groups will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
Response message for the commissionGroups.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"commissionGroups": [
{
object ( |
| Fields | |
|---|---|
commissionGroups[] |
The commission groups for the specified contract. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.